import type { PageParam } from '@/api';

/**
 * 文章
 */
export interface Article {
  // id
  id?: number;
  // 栏目ID
  cateId?: number;
  // 发布者
  user?: string;
  // 标题
  title?: string;
  // 来源
  origin?: string;
  // 类型
  type?: number;
  // 外链地址
  link?: string;
  //模板路径
  template?: string;
  // 图片
  image?: string;
  // 关键字
  keywords?: string;
  // 摘要
  summary?: string;
  // 内容
  content?: string;
  // 点击量
  clickNum?: number;
  // 添加量
  addNum?: number;
  // 状态
  status?: number;
  // 删除
  deleted?: number;
  // 创建时间
  createTime: string;
}

/**
 * 搜索条件
 */
export interface ArticleParam extends PageParam {
  title?: string;
  user?: string;
  status?: number;
  cateId?: number;
}
