import type { PageParam } from '@/api';
import { Company } from '@/api/employ/company/model';
import { Category } from '@/api/employ/category/model';

/**
 * 职位
 */
export interface Job {
  // id
  jobId?: number;
  seniority?: string;
  companyId?: string;
  salary?: string;
  company?: Company[];
  categoryId?: number;
  degree?: string;
  category?: Category[];
  needs?: string;
  tags?: [];
  // 名称
  title?: string;
  // 职位简介
  description?: string;
  // 状态, 0正常, 1冻结
  status?: number;
  //是否删除
  deleted?: number;
  // 创建时间
  createTime?: string;
}

/**
 * 搜索条件
 */
export interface JobParam extends PageParam {
  title?: string;
  company?: string;
  status?: string;
}
