import type { PageParam } from '@/api';

/**
 * 会议
 */
export interface Meeting {
  id?: number;
  title?: string;
  room?: string;
  mode?: number;
  image?: string;
  location?: string;
  meeting_time?: string;
  entry_time?: [string, string];
  sign_time?: [string, string];
  status?: number;
  content?: string;
  // 创建时间
  createTime?: string;
}

export interface User {
  meetingId?: number;
  name?: string;
  company?: string;
  position?: string;
  phone?: string;
  isSign?: string;
  entry_time?: string;
  sign_time?: string;
  openid?: string;
  row?: number;
  column?: number;
}
/**
 * 角色搜索条件
 */
export interface MeetingParam extends PageParam {
  title?: string;
  room?: string;
  content?: string;
}

export interface UserParam extends PageParam {
  meetingId?: string | number;
  name?: string;
  company?: string;
}
