import request from "@/utils/request";

/**
 * 获取微信菜单
 */
export async function getWxMenu() {
  const res = await request.get<any>('wechat/getWxMenu');
  if (!res.data.errcode) {
    return res.data;
  }
  return Promise.reject(new Error(res.data.errmsg));
}

/**
 * 获取永久素材
 */
export async function getWxMaterial(id) {
  const res = await request.get<any>('wechat/getMaterial', id);
  if (!res.data.errcode) {
    return res.data;
  }
  return Promise.reject(new Error(res.data.errmsg));
}

/**
 * 永久素材列表
 * @param params
 */
export async function getWxMaterialList(params) {
  const res = await request.get<any>('wechat/getMaterialList', { params });
  if (!res.data.errcode) {
    return res.data;
  }
  return Promise.reject(new Error(res.data.errmsg));
}

/**
 * 创建自定义菜单
 */
export async function addWxMenu(params) {
  const res = await request.post<any>('wechat/addWxMenu', params);
  if (!res.data.errcode) {
    return res.data;
  }
  return Promise.reject(new Error(res.data.errmsg));
}
